﻿/*
 * Copyright (C)  2010  Axel Kesseler
 * 
 * This software is free and you can use it for any purpose. Furthermore, 
 * you are free to copy, to modify and/or to redistribute this software.
 * 
 * In addition, this software is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

using System;
using System.Windows.Forms;

namespace fblock.manager
{
    public partial class ShortHelpDialog : Form
    {
        public ShortHelpDialog()
            : base()
        {
            this.InitializeComponent();
            this.webBrowser.DocumentText = global::fblock.manager.Properties.Resources.ShortHelp;
        }

        private void lnkPrintHelp_LinkClicked(object sender, LinkLabelLinkClickedEventArgs args)
        {
            args.Link.Visited = true;
            this.webBrowser.Print();
        }
    }
}
