@echo off

setlocal

set FBLOCKIMPLTEST1=FBlockImplTest1
set FBLOCKIMPLTEST2=FBlockImplTest2
set FBLOCKMANAGERDLL=FBlockManager_(DLL)
set FBLOCKMANAGEREXE=FBlockManager_(EXE)
set OUTPUTDIR=..\bin\
set INPUTDIR=.\bin\release\
set READMEFILE=%FBLOCKMANAGEREXE%\fblock.manager.txt
set GUIDEFILE=..\doc\FBlockManager_Development_Guide.pdf

if not exist "%INPUTDIR%" goto ERROR_INPUT

if not exist "%OUTPUTDIR%" mkdir "%OUTPUTDIR%"

for %%I in (%INPUTDIR%*.exe %INPUTDIR%*.dll) do (
	echo Copy file ^"%%I^" into ^"%OUTPUTDIR%^" directory.
	copy %%I %OUTPUTDIR% /y > nul
)

echo Copy file ^"%READMEFILE%^" into ^"%OUTPUTDIR%^" directory.
copy %READMEFILE% %OUTPUTDIR% /y > nul

echo Copy file ^"%GUIDEFILE%^" into ^"%OUTPUTDIR%^" directory.
copy %GUIDEFILE% %OUTPUTDIR% /y > nul

endlocal
set ERRORLEVEL=0
goto END_BATCH

:ERROR_INPUT
echo.
echo.
echo ERROR: Input directory ^"%INPUTDIR%^" does not exist! Rebuild the solution beforehand.
echo.
endlocal
set ERRORLEVEL=1
goto END_BATCH

:END_BATCH

pause