﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace fblock.manager
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            MyFBlockImpl impl = new MyFBlockImpl();
            impl.GetForm(); // Implicit form creation!
            impl.RunInitialize();
            impl.RunLoadConfiguration();
            Application.Run(impl.GetForm());
            impl.RunSaveConfiguration();
            impl.RunCleanup();
        }
    }
}
